# $system.ntohi Convert an integer from network to host byte order.
Usage
    $system.ntohi(<value>)
    $system.ntohi(<value>,<bytecount>)
Description
Converts the integer value in network byte order to it's host byte order counterpart. Since the conversion is carried at binary rappresentation level you must specify the number of bytes you want the binary rappresentation to have. Valid values are 1 (no conversion), 2 (short), 4 (32 bit int) and 8 (64 bit int). If omitted, bytecount is assumed to be 4.
Syntax Specification
    <integer> $system.ntohi(<value:integer>)
    <integer> $system.ntohi(<value:integer>,<bytecount:integer>)

Index, Functions

KVIrc 4.3.1.6366 Documentation
Generated by george at Tue Aug 30 12:59:38 2016